Package ch.qos.logback.core.boolex

# Class EvaluationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ch.qos.logback.core.boolex.EvaluationException

All Implemented Interfaces:
  `Serializable`

public class EvaluationException extends Exception
This exception wraps exceptions thrown while evaluating events.

Author:
  Ceki Gülcü
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EvaluationException(String msg)`
`EvaluationException(String msg, Throwable cause)`
`EvaluationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EvaluationException

public EvaluationException(String msg)

### EvaluationException

public EvaluationException(String msg, Throwable cause)

### EvaluationException

public EvaluationException(Throwable cause)